>From 3deebd805c0e1d5fd646e59c493d4987be886473 Mon Sep 17 00:00:00 2001
From: Ludwig Zenz <lzenz@dh-electronics.de>
Date: Fri, 8 Jul 2016 13:48:07 +0200
Subject: [PATCH] enable 'setsel' for arm builds

---
 elbepack/efilesystem.py | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

diff --git a/elbepack/efilesystem.py b/elbepack/efilesystem.py
index ab78bec..8ef49bd 100644
--- a/elbepack/efilesystem.py
+++ b/elbepack/efilesystem.py
@@ -94,13 +94,25 @@ def extract_target( src, xml, dst, log, cache ):
         pass
 
     if xml.tgt.has("setsel"):
+        arch = xml.text("project/buildimage/arch", key="arch")
+        pkglist = [ n.et.text for n in xml.node('target/pkg-list') if n.tag == 'pkg' ]
+        with open(dst.fname('var/cache/elbe/pkg-selections'),'w+') as thefile:
+            for item in pkglist:
+                thefile.write("%s  install\n" % item)
+
         log.do("mount -o bind /proc %s" %(dst.fname('proc')))
         log.do("mount -o bind /sys %s" %(dst.fname('sys')))
 
+        if 'arm' in arch:
+            log.do("cp /usr/bin/qemu-arm-static %s" %(dst.fname('usr/bin')))
+
         log.do("chroot %s dpkg --clear-selections" %(dst.fname('')))
-        log.do("chroot %s dpkg --set-selections <var/cache/elbe/pkg-selections" %(dst.fname('')))
+        log.do("chroot %s dpkg --set-selections < %s " %(dst.fname(''),dst.fname('var/cache/elbe/pkg-selections')))
         log.do("chroot %s dpkg --purge -a" %(dst.fname('')))
 
+        if 'arm' in arch:
+            log.do("rm %s" %(dst.fname('usr/bin/qemu-arm-static')))
+
         log.do("umount %s" %(dst.fname('sys')))
         log.do("umount %s" %(dst.fname('proc')))
 
-- 
2.1.4

